> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename Stored Version

> Overwrite only the human-readable title of a stored snapshot.



## OpenAPI

````yaml put /api/v2/agent/{agentId}/versions/{versionId}/title
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/agent/{agentId}/versions/{versionId}/title:
    put:
      tags:
        - Agents
      summary: Rename Stored Version
      description: Overwrite only the human-readable title of a stored snapshot.
      parameters:
        - name: agentId
          in: path
          required: true
          schema:
            type: string
          description: Agent Id
        - name: versionId
          in: path
          required: true
          schema:
            type: string
          description: Epoch-ms score of the snapshot
          example: 1750195000123
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - title
              properties:
                title:
                  type: string
                  example: Holiday-2025
      responses:
        '200':
          description: Title updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  versionId:
                    type: integer
                    example: 1750195000123
                  newTitle:
                    type: string
                    example: Holiday-2025
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````